
class Inertia {
  float value = 0;
  float currentSpeed = 0;
  float resist = 0.5;
  float maxSpeed = 0.5;
  float force = 0; 

  public Inertia(float value, float resist, float maxSpeed) {
    this.value = value;
    this.resist = resist;
    this.maxSpeed = maxSpeed;
  }

  void setForce(float force) {
    this.force = force;
  }
  void setValue(float value) {
    this.value = value;
  }

  float step() {
    float prevValue = value;
    currentSpeed = constrain(currentSpeed+force, -1*maxSpeed, maxSpeed);

    value += currentSpeed; 
    currentSpeed *= (1-resist);

    return value-prevValue;
  }

  float getValue() {
    return value;
  }
}

